.image_slide {
  width: 100%;
  height: 241px;
  object-fit: cover;
  object-position: center;
}

.readParagraph {
  height: 53px;
  overflow: hidden;
}

.cvl_ReqBox {
  border: 1px solid #ccc;
  padding: 0;
  margin-bottom: 10px;
  background: #fff;
}
.req_content_box {
  padding: 10px !important;
}

.col_50 {
  width: calc(50% - 10px);
  margin-right: 10px;
  display: flex;
  align-items: center;
}
.cv-cat-container-fluid {
  padding: 0 0 0 10px;
}
/* 
    font-family: 'Heebo', sans-serif;
font-family: 'Roboto', sans-serif; 
*/
.loader {
  border: 7px solid #f3f3f3;
  border-radius: 50%;
  border-top: 7px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  /* Safari */
  animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#infinite-list {
  height: calc(100vh - 125px);
  overflow: auto;
  background-color: #fff;
  padding-right: 15px !important;
  padding-bottom: 30px !important;
}
#cat_mod {
  height: calc(100vh - 125px);
  overflow: auto;
}
#demo {
  color: #fff;
}

.civil_home_block {
  padding: 10px 0;
}

/* Hide the default checkbox */
input[type="checkbox"] {
  display: none;
}

/* Style the custom checkmark */
.checkmark {
  width: 20px;
  height: 20px;
  background: #f2f2f2;
  display: inline-block;
  vertical-align: middle;
  margin-right: 10px;

  box-shadow: inset 2px 2px 5px #cbced1, inset -2px -2px 5px #fff;
  border-radius: 5px;
}

input[type="checkbox"]:checked + .checkmark:before {
  content: "\2713";
  font-family: "jws_icon";
  position: absolute;
  top: -1px;
  left: 3px;
  z-index: 1;
  color: #131313;
  font-size: 17px;
}

input[type="checkbox"]:checked + .checkmark {
  outline: 2px solid #131313;
  outline-offset: -2px;
  position: relative;
}

.checkmark::after {
  content: "";
  position: absolute;
  display: none;
}

input[type="checkbox"]:checked + .checkmark::after {
  display: block;
}

input[type="checkbox"]:checked + .checkmark::after {
  left: 7px;
  top: 3px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}
.panel-default > .panel-heading a {
    display: block;
    padding: 5px 15px 5px 10px;
    font-size: 13px;
    display: flex;
    justify-content: space-between;
    font-weight: 600;
}
.panel-body {
    padding: 10px;
}
label.label_filter {
  display: block;
  margin-bottom: 3px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

span.span_filter {
  font-size: 13px;
  color: #131313;
  font-family: "Satoshi", sans-serif;
  text-transform: capitalize;
  cursor: pointer;
}

input.cat_sidebar_search {
    width: 100%;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 15px;
}



.panel-title {
  font-family: "Heebo", sans-serif;
  font-weight: 400;
}

.i_class {
  display: inline-block;

  text-align: center;
  font-weight: bold;
}

.desk_none {
  display: none !important;
}
.read-more-content {
  overflow: hidden;
  max-height: 63px;
  transition: max-height 0.3s ease-out;
}

.read-more-toggle {
  cursor: pointer;
  color: #0404c7ad;
  display: inline-block;
  margin-top: 5px;
  font-size: 13px;
  font-weight: bold;
}

@media screen and (max-width: 1200px) {
  .read-more-content {
    max-height: 40px;
  }
  .h4_heading {
    font-size: 17px;
    padding: 5px 0;
  }
  .car-address {
    line-height: 1;
  }
  .car-address_catx {
    line-height: 2;
  }
  .i_class {
    font-size: 10px;
    margin-right: 3px;
  }
  .req_cat_date_title {
    font-size: 15px;
  }
  .req_cat_date_p {
    font-size: 13px;
    line-height: 1;
  }
  .req_cat_date_box {
    padding: 5px 0 !important;
  }
  .rev_col {
    flex-direction: column-reverse;
  }
  .readParagraph {
    font-size: 13px;
    line-height: 1.3;
    height: 36px;
  }
  .readParagraph strong {
    font-size: 15px;
  }
  .req_Quotation {
    position: absolute !important;
    bottom: 16px;
    right: -6px;
  }
  p.readMoreContent_p {
    font-size: 13px;
    line-height: 1.5;
  }
}

.laod_body {
  height: 100vh;
  display: flex;
  justify-content: space-around;
  align-items: center;
  background: #fff;
}

@-webkit-keyframes pulse {
  50% {
    background: orange;
  }
}

@keyframes pulse {
  50% {
    background: orange;
  }
}

.loading-pulse {
  position: relative;
  width: 6px;
  height: 30px;
  background: orange;
  -webkit-animation: pulse 750ms infinite;
  animation: pulse 750ms infinite;
  -webkit-animation-delay: 250ms;
  animation-delay: 250ms;
}

.loading-pulse:before,
.loading-pulse:after {
  content: "";
  position: absolute;
  display: block;
  height: 16px;
  width: 6px;
  background: #da4296;
  top: 50%;
  transform: translateY(-50%);
  -webkit-animation: pulse 750ms infinite;
  animation: pulse 750ms infinite;
}

.loading-pulse:before {
  left: -12px;
}

.loading-pulse:after {
  left: 12px;
  -webkit-animation-delay: 500ms;
  animation-delay: 500ms;
}

.car-tittle a {
  color: #131313;
  font-size: 18px;
  font-weight: bold;
  line-height: 24px;
  display: block;
  /*text-align: center;*/
}

.car-address {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  z-index: 22;
  font-size: 13px;
  font-family: "Satoshi", sans-serif;
}

.head_foot,
.head_body,
.head_card {
  padding: 0 10px 10px;
}
.cv-cat-all-flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.head_card::after {
  content: "";
  display: block;
  border-bottom: 1px solid #ccc;
  width: 100%;
}
.car-tittle {
  font-size: 16px;
  line-height: 1;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  margin: 0 10px;
  padding-bottom: 10px;
  font-family: "Satoshi", sans-serif;
}
.cat_sidebar_check::-webkit-scrollbar {
  width: 1px;
  background-color: #ccc;
}
#cat_mod::-webkit-scrollbar {
  width: 2px;
}
.img-gradient::after,
.img-fluid-slider25 {
  border-radius: 10px 10px 0 0;
}
.civil_card {
  background: #fff;
  /* background: #ecf0f3; */
  border-radius: 10px;
  margin: 0 0 20px 0;
  box-shadow: -3px -3px 7px #f6f6f6, 3px 3px 5px #ceced1;
}
.cv-cat-btn-read {
  position: relative;
  display: inline-block;
  border: none;
  outline: none;
  padding: 5px 20px;
  color: #31344b;
  font-size: 14px;
  font-weight: 400;
  border-radius: 5px;
  cursor: pointer;
  z-index: 4;
  box-shadow: -3px -3px 7px #fff, 3px 3px 5px #ceced1;
}

.cv-cat-btn-read:hover:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 50%;
  background: #ecf0f3;
  box-shadow: inset -3px -3px 7px #ffffff, inset 3px 3px 5px #ceced1;
}
.cv-cat-btn-read:hover:before {
  z-index: -1;
  border-radius: 5px;
}
.page-nowrapper-x {
  background: #fff;
}
/* ======================
    Mobile Responsive
=========================*/
@media screen and (max-width: 767px) {
    .cv-cat-btn-read {
    padding: 4px 10px 2px;
    font-weight: 600;
    border: 1px solid #999595;
    font-size: 10px;
    box-shadow: none !important;
}
.sticky_footer, .site-footer {
    display: none;
}
    .page-nowrapper-x {
    min-height: calc(100vh - 60px);
}
  .cv-cat-container-fluid {
    padding: 0;
  }
  .civil_card {
    margin: 0;
  }
  .cv-cat-box {
    width: calc(50% - 0px);
        padding: 3px;
}
.head_card {
    display: none;
}

.civil_card {
     box-shadow: none; 
    border: 1px solid #ccc;
    border-radius:0;
}
.img-gradient::after, .img-fluid-slider25 {
     border-radius: 0; 
}
.civil_card_price {
    display: none;
}
.img-gradient,
.civil_card_head {
    height: 115px;
    margin-bottom: 10px;
}

.img-fluid-slider25 {
    max-height: 115px;
    aspect-ratio: 9 / 6;
}
  #cat_mod {
    background: #0000008c !important;
  }

  #cat_mod {
    display: none;
    padding: 10px;
  }

  .make-me-sticky {
    height: calc(100vh - 200px);
    padding: 10px;
    overflow: auto;
    margin-bottom: 15px;
  }
  .cvl-req-sidebar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 50px;
    font-size: 20px;
    margin-bottom: 10px;
    padding: 10px;
    color: #000;
    box-shadow: 0px 3px 6px #ccc;
}
.panel-default > .panel-heading a {
    display: block;
    padding: 8px 10px 5px;
    font-weight: 600;
    font-size: 15px;
}
.cvl-filter-cat {
    padding: 10px;
    justify-content: end;
    box-shadow: 0px -3px 6px #ccc;
    margin-top: 10px;
}
  .civil_home_block {
    padding: 0;
  }

  .col-lg-6.m_pl_0 {
    padding: 0;
  }

  .cvl_mod {
    background: #fff;
    padding: 0;
  }
  #infinite-list {
    padding-right: 0px !important;
            height: calc(100vh - 193px);
}
.loaderx {
    width: 50%;
    margin: 20px !important;
    display: inline-block;
}
  .desk_none {
    display: flex !important;
  }

}
/* ======================
    Mobile Responsive
=========================*/
/* ======================
    TAB Responsive
=========================*/
@media screen and (min-width: 768px) and (max-width: 1114px){
    .filter_btn {
    display: block;
    padding: 10px;
}
.cvl-filter-cat {
    padding: 10px;
    justify-content: end;
    box-shadow: 0px -3px 6px #ccc;
    margin-top: 10px;
}
 .cvl-req-sidebar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 50px;
    font-size: 20px;
    margin-bottom: 10px;
    padding: 10px;
    color: #000;
    box-shadow: 0px 3px 6px #ccc;
}
#cat_mod {
    display: none;
    padding: 10px;
     background: #0000008c !important;
}
.cvl_mod {
    background: #fff;
    padding: 10px;
    width: 60%;
    margin: 0 auto;
}
.desk_none {
    display: flex !important;
    margin-bottom: 20px;
}
#infinite-list {
    height: calc(100vh - 220px);
     padding-right: 0 !important; 
}
.loaderx {
    width: 50%;
    margin: 20px !important;
    display: inline-block;
}
}
